Re: Re: Need php_imagick.dll for PHP 5.4

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]



"Keith Davis" in php.windows (Sat, 5 May 2012 09:41:39 -0500):
>Strange, this guy says he has it working (but apparently with some
>relative directory problem):
>
>http://stackoverflow.com/questions/9954764/imagick-php-5-4-extension-does-not-work-with-relative-paths-windows

Apparently, he has got it working. I used the
ImageMagick-6.7.6-8-Q16-windows-dll, only a tiny difference.

I tried to recompile with --disable-zts to see if that was the problem.
No dice. The non thread safe PHP 5.4.2 did not compile php_imagick.dll
either.

As a last resort I tried using the PHP 5.3 version with PHP 5.4. All
compilations from today.

This one works:
http://x32.elijst.nl/phpinfo.php53nts

The PHP 5.4 php.ini is the same, but doesn't show the php_imagick.dll
that I stole from PHP 5.3.12:
http://x32.elijst.nl/phpinfo.php54nts

Loading php-cgi from the command line shows why:
http://x32.elijst.nl/imagick.gif

Jan

-- 
PHP Windows Mailing List (http://www.php.net/)
To unsubscribe, visit: http://www.php.net/unsub.php



[Index of Archives]     [PHP Home]     [PHP Users]     [PHP Install]     [PHP on Windows]     [Programming PHP]     [Kernel Newbies]     [Rice Cooker]     [Yosemite News]     [Yosemite Photos]     [PHP Books]